#
# spec file for package wtype
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wtype
Version:        0.4
Release:        bp155.1.9
Summary:        Xdotool type for Wayland
License:        MIT
Group:          System/X11/Utilities
URL:            https://github.com/atx/wtype
Source:         https://github.com/atx/wtype/archive/v%{version}.tar.gz
BuildRequires:  meson
BuildRequires:  ninja
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(xkbcommon)

%description
xdotool type for Wayland.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_bindir}/wtype
%{_mandir}/man1/wtype.1%{?ext_man}

%changelog
* Thu Jul  7 2022 llyyr <llyyr.public@gmail.com>
- Update to 0.4:
  * Fix some unicode characters being converted to wrong keysyms (such as γ and other greek characters)
  * Drop reallocarray (for musl builds)
  * Do not parse the - stdin placeholder if it appears after --
  * Document stdin input
  * Add the -d switch to specify a delay between keystrokes
* Mon Nov 30 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.3:
  * Use temporary files instead of shm objects (fix for FreeBSD)
  * Add a manpage
* Mon Nov 23 2020 Michael Vetter <mvetter@suse.com>
- Initial package of wtype 0.2 for openSUSE
